%define anolis_release 1

Name:           libatasmart
Version:        0.19
Release:        %{anolis_release}%{?dist}
Summary:        ATA S.M.A.R.T. Reading and Parsing Library

License:        LGPLv2+
URL:            https://git.0pointer.net/libatasmart.git/
Source0:        http://0pointer.de/public/libatasmart-%{version}.tar.xz 

BuildRequires:  gcc
BuildRequires:  systemd-devel
BuildRequires:  make

%description
A small and lightweight parser library for ATA S.M.A.R.T. hard disk
health monitoring.

%package devel
Summary: Development Files for libatasmart Client Development
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: vala

%description devel
Development Files for libatasmart Client Development

%prep
%autosetup

%build
%configure --disable-static
%make_build

%install
%makeinstall
find %{buildroot} \( -name *.a -o -name *.la \) -exec rm {} \;
rm %{buildroot}%{_docdir}/libatasmart/README

%files
%doc README LGPL
%{_libdir}/libatasmart.so.*
%{_sbindir}/skdump
%{_sbindir}/sktest

%files devel
%doc blob-examples/
%{_includedir}/atasmart.h
%{_libdir}/libatasmart.so
%{_libdir}/pkgconfig/libatasmart.pc
%{_datadir}/vala/vapi/atasmart.vapi

%changelog
* Fri Mar 04 2022 Su Lifan <su-lifan@linux.alibaba.com> - 0.19-1
- Initial packaging for Anolis OS 23
